petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatCreateBlockMat

Creates a new matrix in which each block contains a uniform-size sequential Mat object

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatCreateBlockMat(MPI_Comm comm,PetscInt m,PetscInt n,PetscInt bs,PetscInt nz,PetscInt *nnz, Mat *A)

Collective on MPI_Comm Many br

### Input Parameters

| comm | - MPI communicator Many br
| m | - number of rows Many br
| n | - number of columns Many br
| bs | - size of each submatrix Many br
| nz | - expected maximum number of nonzero blocks in row (use PETSC_DEFAULT if not known) Many br
| nnz | - expected number of nonzers per block row if known (use NULL otherwise) Many br

### Output Parameter

A -the matrix Many br

Many br

Notes: Matrices of this type are nominally-sparse matrices in which each "entry" is a Mat object. Each Mat must Many brhave the same size and be sequential. The local and global sizes must be compatible with this decomposition. Many br

For matrices containing parallel submatrices and variable block sizes, see MATNEST. Many br

### Keywords

matrix, bmat, create

### See Also

MATBLOCKMAT, MatCreateNest()

Level:intermediate
Location:src/mat/impls/blockmat/seq/blockmat.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages